## com.icl.saxon.om
Class NamespaceException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              com.icl.saxon.om.NamespaceException

All Implemented Interfaces:
  java.io.Serializable

public class NamespaceException
extends java.lang.Exception

A NamespaceException represents an error condition whereby a QName (e.g. a variable name or template name) uses a namespace prefix that is not declared

See Also:
  Serialized Form

Constructor Summary
`NamespaceException(java.lang.String prefix)`

Method Summary
`java.lang.String` `getMessage()`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### NamespaceException

    public NamespaceException(java.lang.String prefix)

Method Detail

### getMessage

    public java.lang.String getMessage()